## discover1 1.7.22ubuntu1

=== debian/changelog ===
discover1 (1.7.22ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      We still want lsb-base.
      Change the Maintainer address.
    - discover/discover.conf:
      Skip i810_audio by default; hotplug handles it just fine.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 14 Jan 2008 16:03:51 +0200

discover1 (1.7.22) unstable; urgency=low

  * Change init.d script to not depend on $local_fs.
  * Don't install the init-script and remove it on existing installations.
    Systems like udev which check the content of /lib/modules/ does a better
    job loading kernel modules. (Closes: #235107, 387322)
  * Strip [a-z] from version number when checking if configure script is
    updated.  Patch from Ubuntu.
  * Drop unused directories /var/lib/discover and usr/sbin from the
    discover1 package.
  * Convert debian/copyright from ISO-8859-1 to UTF-8.
  * Update Standards-Version from 3.7.2 to 3.7.3.  No change needed.
  * Replace variable ${Source-Version} with ${binary:Version} to depend on
    the correct package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Dec 2007 16:36:32 +0100
