=== debian/control ===
Source: discover1
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 5.0.22), gettext
Standards-Version: 3.7.3

Package: discover1
Architecture: any
Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24), lsb-base (>= 1.3-9ubuntu3)
Suggests: lsb-base
Conflicts: discover, libdiscover2
Description: hardware identification system
 Discover is a hardware identification system based on the libdiscover1
 library.  Discover provides a flexible interface that programs can use to
 report a wide range of information about the hardware that is installed on a
 Linux system. It functions at boot-time by probing the available system
 busses and loading the appropriate drivers based on data provided in the
 discover1-data package.

Package: libdiscover1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, discover1-data (>= 1.2004.09.24)
Description: hardware identification library
 libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
 USB devices.

Package: libdiscover1-dev
Section: libdevel
Architecture: any
Depends: libdiscover1 (= ${binary:Version}), libc6-dev
Replaces: libdiscover0, libdiscover0-dev
Conflicts: libdiscover-dev
Description:  hardware identification library development files
 libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
 USB devices.
 .
 This package contains the header files and static libraries needed for
 development.

Package: libdiscover1-pic
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: hardware identification library - static PIC version
 libdiscover1 is a library enabling identification of various PCI, PCMCIA, and
 USB devices.
 .
 This package contains a static version of the library containing
 position-independent code, used to develop subsets of the discover shared
 library for use on custom installation disks and in embedded systems.  Unless
 you're making one of those, you won't need this package.
