=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=$(shell dpkg --print-architecture)

buildtype := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
hosttype := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(buildtype),$(hosttype))
	crossflags := --build=$(buildtype) --host=$(hosttype)
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	optimize = -O0
else
	optimize = -O2
endif

configure:
	sh autogen.sh

config.status: configure
	dh_testdir

	sh debian/check-configure.sh

	CFLAGS='$(optimize) -g -Wall -DDEBIAN_ARCH=\"$(ARCH)\"' ./configure $(crossflags) --prefix=/usr \
		--sbindir=/sbin \
		--sysconfdir=/etc \
		--libdir=/lib \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

build: config.status build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	# This builds the pic library
	ar cqv lib/libdiscover_pic.a lib/.libs/*.o

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp 

	-$(MAKE) distclean
	rm -f po/*.gmo lib/libdiscover_pic.a
#	rm -f debian/discover.init

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

#	ln -sf ../discover/discover.init debian/discover.init

	mkdir -p debian/libdiscover1-pic/usr/lib
	cp lib/libdiscover_pic.a debian/libdiscover1-pic/usr/lib/

	# reportbug helper script
	install -m 755 debian/discover1.bug debian/discover1/usr/share/bug/discover1

binary-indep:
# Ye olde no-op.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installchangelogs
# Remove init.d script, as udev does a better job with installing kernel modules.
#	dh_installinit --name=discover --no-start --update-rcd-params="start 36 S ."
	dh_strip
	dh_compress
	dh_fixperms 
	dh_makeshlibs -plibdiscover1
	dh_installdeb
	dh_shlibdeps -ldebian/libdiscover1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
